Skip to main content
GET
/
executions
List Executions
curl --request GET \
  --url https://api.paxos.com/v2/executions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paxos.com/v2/executions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paxos.com/v2/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "execution_id": "12422531",
      "order_id": "cb379c30-a9f8-4685-aa38-47d6e87ff09d",
      "executed_at": "2022-08-01T21:01:27.217Z",
      "market": "BTCUSD",
      "side": "BUY",
      "amount": "0.00432539",
      "price": "23119.25",
      "commission": "0.34999920465125",
      "commission_asset": "USD",
      "rebate": "0",
      "rebate_asset": "USD",
      "gross_trade_amount": "99.9997727575"
    }
  ],
  "next_page_cursor": "CgwI-Iu6iQYQgPGVoQEQg5v2BQ"
}
OAuth Scope
exchange:read_order

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

profile_id
string

Filter executions by the Profile ID associated with the orders.

account_id
string

Filter executions by the Account ID associated with the orders.

order_id
string

Filter executions for a single order ID.

since_execution_id
string

Excludes executions after the given ID.

range.begin
string<date-time>

Only return records after this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

range.end
string<date-time>

Only return records before this timestamp, inclusive. RFC3339 format, like 2006-01-02T15:04:05Z.

page_cursor
string

Cursor token for fetching the next page.

limit
integer<int32>

Number of results to return.

Response

200 - application/json

A successful response.

items
object[]
next_page_cursor
string

Cursor token required for fetching the next page.